Package org.xnio.conduits

# Class ConduitWritableByteChannel

java.lang.Object
org.xnio.conduits.ConduitWritableByteChannel

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Channel`, `WritableByteChannel`

public final class ConduitWritableByteChannel extends Object implements WritableByteChannel
A byte channel which wraps a conduit.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`ConduitWritableByteChannel(StreamSinkConduit conduit)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`isOpen()`
`int`
`write(ByteBuffer src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConduitWritableByteChannel

public ConduitWritableByteChannel(StreamSinkConduit conduit)
Construct a new instance.

Parameters:
  `conduit` - the conduit to delegate to

## Method Details

### write

public int write(ByteBuffer src) throws IOException

Specified by:
  `write` in interface `WritableByteChannel`
Throws:
  `IOException`

### isOpen

public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`